Skip to main content
GET
/
v2
/
payment
/
refunds
List all refunds
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v2/payment/refunds \
  --header 'x-auth-token: <api-key>' \
  --header 'x-client-id: <x-client-id>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "payment_refund_id": "RF123456789",
      "payment_attempt_id": "PA123456789",
      "amount": "10.01",
      "currency": "USD",
      "refund_status": "SUCCEEDED",
      "create_time": "2024-03-01T00:00:00+08:00",
      "update_time": "2024-03-01T00:00:00+08:00",
      "reason": "Order 1234 has been returned",
      "metadata": {
        "customer_id": "cust_12345",
        "order_id": "order_6789"
      }
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-client-id
string
required

The API client id generated by UQPAY

Query Parameters

page_size
integer
required

The maximum number of items to return per page. This number can be between 1 - 100

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve the next set of items. The number has to be greater than 1.

Required range: x >= 1
Example:

1

start_time
string

Start time of Transaction. Default time range is 1 months.

Example:

"2024-03-01T00:00:00+08:00"

end_time
string

End time of Transaction. Maximum time range of 3 months.

Example:

"2024-03-01T00:00:00+08:00"

payment_intent_id
string

The ID of the payment intent to get refunds for

merchant_order_id
string

The merchant reference id created in merchant's system that corresponds to this PaymentIntent.

Response

List of refunds retrieved successfully

total_pages
integer

The total pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]